Skip to main content

Replace a compromised-host campaign

PUT
/compromised-host/campaigns/{id}

Replace the campaign's JSON file and indexed metadata without changing the campaign ID or the file ID. For campaigns with a source, changing the source name and source scenario ID is not allowed.

Contract

Parameter
Value
Sectioncompromised-host
AuthenticationCookieAuth
Consumesmultipart/form-data
Producesapplication/json

Parameters

3 parameters

Name
Location
Required
Type
Description
idpathyesintegerCampaign ID
fileformDatayesfileCampaign JSON file up to 64 MiB
syncquerynobooleanSynchronize the file to all agents after the replacement
  • {}

Responses

5 responses

Status
Description
Type
200
OKobject
400
Invalid ID, file, schema, or source identityobject
401
Unauthorizedobject
404
Campaign not foundobject
500
Internal server errorobject
  • {
      "confidence": "<string>",
      "createdAt": "<string>",
      "description": "<string>",
      "executionStatus": "<string>",
      "family": "<string>",
      "fidelity": "<string>",
      "file": {
        "category": "<string>",
        "createdAt": "<string>",
        "first_seen_at": "<string>",
        "id": 0,
        "issuer": {
          "agreementAccepted": true,
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "email": "<string>",
          "group": {},
          "groupID": 0,
          "id": 0,
          "isActive": true,
          "isRequiredToSetPassword": true,
          "lastLogin": "<string>",
          "notificationsReadAt": "<string>",
          "passwordLength": 0,
          "permissions": [
            0
          ],
          "realName": "<string>",
          "updatedAt": "<string>"
        },
        "issuerID": 0,
        "md5": "<string>",
        "mime": "<string>",
        "name": "<string>",
        "original_sha256": "<string>",
        "sha1": "<string>",
        "sha256": "<string>",
        "sha3_384": "<string>",
        "size": 0,
        "source": "<string>",
        "syncReady": true,
        "tags": "<string>",
        "updatedAt": "<string>"
      },
      "fileId": 0,
      "hasExternalTarget": true,
      "hasPayloadStage": true,
      "id": 0,
      "iocDomains": [
        "<string>"
      ],
      "iocIps": [
        "<string>"
      ],
      "mitreTechniques": [
        "<string>"
      ],
      "name": "<string>",
      "profileCount": 0,
      "protocols": [
        "<string>"
      ],
      "scenarioCount": 0,
      "sourceLicense": "<string>",
      "sourceName": "<string>",
      "sourceRevision": "<string>",
      "sourceScenarioId": "<string>",
      "sourceUrl": "<string>",
      "sourceVersion": "<string>",
      "stepCount": 0,
      "tactic": "<string>",
      "tags": [
        "<string>"
      ],
      "technique": "<string>",
      "testPurpose": "<string>",
      "threatActor": "<string>",
      "unsupportedProtocols": [
        "<string>"
      ],
      "updatedAt": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }